<?xml version="1.0"?>
<configuration>
  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.7" />
      </system.Web>
  -->
  <system.web>
    <pages buffer="true" enableSessionState="true" enableViewState="true" enableViewStateMac="false" controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID"/>
    <identity impersonate="false" userName="bkk-dev-01\dmsadmin" password="859$4321"/>
    <!--  DYNAMIC DEBUG COMPILATION
          Set compilation debug="true" to enable ASPX debugging.  Otherwise, setting this value to
          false will improve runtime performance of this application. 
          Set compilation debug="true" to insert debugging symbols (.pdb information)
          into the compiled page. Because this creates a larger file that executes
          more slowly, you should set this value to true only when debugging and to
          false at all other times. For more information, refer to the documentation about
          debugging ASP .NET files.
    <httpRuntime requestValidationMode="2.0" />
    -->
    <compilation defaultLanguage="c#" debug="true" targetFramework="4.7">
      <assemblies>
        <add assembly="CrystalDecisions.CrystalReports.Engine, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.ReportSource, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.Shared, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
        <add assembly="CrystalDecisions.ReportAppServer.ClientDoc, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
      </assemblies>
    </compilation>
    <!--  CUSTOM ERROR MESSAGES
          Set customError mode values to control the display of user-friendly 
          error messages to users instead of error details (including a stack trace):

          "On" Always display custom (friendly) messages  
          "Off" Always display detailed ASP.NET error information.
          "RemoteOnly" Display custom (friendly) messages only to users not running 
          on the local Web server. This setting is recommended for security purposes, so 
          that you do not display application detail information to remote clients.
    -->
    <customErrors mode="Off"/>
    <!--  AUTHENTICATION 
          This section sets the authentication policies of the application. Possible modes are "Windows", "Forms", 
          "Passport" and "None"
    -->
    <authentication mode="Windows"/>
    <!--  APPLICATION-LEVEL TRACE LOGGING
          Application-level tracing enables trace log output for every page within an application. 
          Set trace enabled="true" to enable application trace logging.  If pageOutput="true", the
          trace information will be displayed at the bottom of each page.  Otherwise, you can view the 
          application trace log by browsing the "trace.axd" page from your web application
          root. 
    -->
    <trace enabled="false" requestLimit="10" pageOutput="false" traceMode="SortByTime" localOnly="true"/>
    <!--  SESSION STATE SETTINGS
          By default ASP .NET uses cookies to identify which requests belong to a particular session. 
          If cookies are not available, a session can be tracked by adding a session identifier to the URL. 
          To disable cookies, set sessionState cookieless="true".
    -->
    <sessionState mode="InProc" stateConnectionString="tcpip=127.0.0.1:42424" sqlConnectionString="data source=127.0.0.1;user id=sa;password=" cookieless="false" timeout="10"/>
    <!--  GLOBALIZATION
          This section sets the globalization settings of the application. 
    -->
    <globalization requestEncoding="utf-8" responseEncoding="utf-8" culture="en-US" uiCulture="en-US" fileEncoding="utf-8"/>
    <!-- ORACLE (SM) <add key="coreDSN" value="data source=lxtestdb;persist security info=False;user id=dms;password=dms"/> -->
    <!-- ORACLE (SM) <add key="coreProvider" value="ORACLE" /> -->
    <!-- MSSQL (SM) <add key="coreDSN" value="data source=(local);initial catalog=DMS-R3-PRD-TEST;persist security info=False;user id=coredb;password=coredb;packet size=4096" /> -->
    <!-- MSSQL (SM) <add key="coreProvider" value="SQL" /> -->
    <!-- <add key="userCulture" value="en-US" /> -->
    <httpRuntime maxRequestLength="32768" executionTimeout="600"/>
    <xhtmlConformance mode="Legacy"/>
    <httpHandlers>
      <add verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"/>
    </httpHandlers>
  </system.web>
  <appSettings>
    <!--<add key="PrinterName" value="PDFCreator" />-->
    <add key="PrinterName" value="Microsoft XPS Document Writer"/>
    <add key="smtpServer" value="202.8.79.131"/>
    <add key="ForwardManifestSenderName" value="DMS Notification"/>
    <add key="ForwardManifestSenderEmail" value="dms_dbalert@pngaf.kenmore.com.pg"/>
    <add key="ForwardManifestSubjectEmail" value="DMS - Forward Manifest"/>
    <add key="PackageReplaceShowMoreThan" value="3"/>
    <add key="userID" value="vhm"/>
    <add key="applicationID" value="TIES"/>
    <add key="enterpriseID" value="PNGAF"/>
    <add key="userCulture" value="en-US"/>
    <add key="deploymentEnv" value="true"/>
    <add key="logToEventLog" value="true"/>
    <add key="RecordPerPage" value="20"/>
    <add key="DailyLodgmentsRecordPerPage" value="50"/>
    <add key="fcDataFile" value="C:\Inetpub\wwwroot\PRD\TIES\fcDataFile.xml"/>
    <add key="throwFCException" value="true"/>
    <!--add key="coreDSN" value="data source=172.25.32.33;initial catalog=DMS-R3-PRD-CC;persist security info=False;user id=sa;password=85922$21;packet size=4096" /-->
    <!--<add key="coreDSN" value="data source=172.16.12.199;initial catalog=DMS-R3-PRD;persist security info=False;user id=sa;password=adminadmin1!;packet size=4096" />-->
    <add key="coreDSN" value="data source=lbkkmichael2;initial catalog=DMS-R3-PNGAF-LIVE;persist security info=False;user id=sa;password=Aware@2019;packet size=4096"/>
    <!--<add key="coreDSN" value="Server=localhost;Database=DMS-R3-PNGAF-2; Trusted_Connection=True;" />-->
    <!--<add key="coreDSN" value="data source=VMOCHAI;initial catalog=DMS-R3-PRD;persist security info=False;user id=sa;password=Password123;packet size=4096" />-->
    <!--add key="coreDSN" value="data source=lbkkthanawatr\tiscomini;initial catalog=DMS-R3-PRD;persist security info=False;user id=sa;password=aware;packet size=4096" /-->
    <add key="coreProvider" value="SQL"/>
    <add key="appcookiename" value="formcookie"/>
    <add key="DbComboRegKey" value="aeaaaaU99999baaaaaaaaaEbbaaaaewm6rdDVU1n6ndD0Uxm6fdDQ70yFVg-TnhB6zIAJvgDWadmWUho6jdn6bdD3Ito6fdDWUxlWuYuRetmRaXnRednRidoRiHmRydmReHnyZsmXYcmbZWmfZcm2ee~lFgARiXql"/>
    <add key="jsDir" value="C:\Inetpub\wwwroot\PRD\TIES\WebUI\Scripts"/>
    <add key="resourcePath" value="C:\Inetpub\wwwroot\PRD\TIES\resources"/>
    <add key="crOracleDSN" value="ReportORCL"/>
    <add key="crSQLDSN" value="ReportSQLS"/>
    <add key="crIReportPublisherDSN" value="ReportPublisher"/>
    <add key="treeFontName" value="Verdana"/>
    <add key="treeFontSize" value="2"/>
    <add key="ReportExportFolder" value="Export"/>
    <add key="ExcelConn" value="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=(DestinationFile);Extended Properties=Excel 8.0;"/>
    <add key="SatDel" value="N"/>
    <add key="SunDel" value="N"/>
    <add key="PubDel" value="N"/>
    <add key="InvoiceExportPath" value="C:\Inetpub\wwwroot\PRD\TIES\WebUI\Export\"/>
    <add key="InvoiceSharedPath" value="\\bkk-dev-01\share\kkexcel\"/>
    <add key="ImportStatusSharedPath" value="\\bkk-dev-01\share\kkexcel\"/>
    <add key="32CharBarcodeCutStartIndex" value="16"/>
    <add key="32CharBarcodeCutLength" value="12"/>
    <add key="DMSVERSION" value="DISTRIBUTION MANAGEMENT SYSTEM v1.12.08 - SIP by Batch"/>
    <add key="label_test" value="TEST"/>
    <add key="PathExportInvoicesCheques" value="C:\myFolder\"/>
    <add key="PathDatabaseShareFolder" value="\\172.16.12.199\TNTSupplierFiles\"/>
    <add key="PathDatabaseFolder" value="C:\TNTSupplierFiles\"/>
  </appSettings>
  <system.webServer>
    <handlers>
      <add name="CrystalImageHandler.aspx_GET" verb="GET" path="CrystalImageHandler.aspx" type="CrystalDecisions.Web.CrystalImageHandler, CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" preCondition="integratedMode"/>
    </handlers>
    <validation validateIntegratedModeConfiguration="false"/>
  </system.webServer>
</configuration>